﻿// JScript File
Type.registerNamespace("Jeffz.Net");

Jeffz.Net.TraceExecutor = function Jeffz$Net$TraceExecutor()
{
	Jeffz.Net.TraceExecutor.initializeBase(this);
}

function Jeffz$Net$TraceExecutor$executeRequest()
{
	debug.trace("<b>Request sent at " + new Date() + ":</b>");
	debug.dump(this.get_webRequest(), "Request");
	
	Jeffz.Net.TraceExecutor.callBaseMethod(this, "executeRequest");
}

Jeffz.Net.TraceExecutor.prototype = 
{
	executeRequest : Jeffz$Net$TraceExecutor$executeRequest
}
Jeffz.Net.TraceExecutor.registerClass('Jeffz.Net.TraceExecutor', Sys.Net.XMLHttpExecutor);

Jeffz.Net.TraceExecutor.descriptor =
{
	properties:
	[
		{name: 'started', type: Boolean },
		{name: 'timedOut', type: Boolean },
		{name: 'aborted', type: Boolean },
		{name: 'responseAvailable', type: Boolean },
		{name: 'responseData', type: String },
		{name: 'statusCode', type: Number },
		{name: 'statusText', type: String }
	]
}

Jeffz.Net.TraceExecutor.traceResponse = function Jeffz$Net$TraceExecutor$traceResponse(response)
{
	debug.trace("<b>Response received at " + new Date() + ":</b>");
	debug.dump(response, "Response");
}
Sys.Net.WebRequestManager.add_completedRequest(Jeffz.Net.TraceExecutor.traceResponse);